> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all products

> Returns a list of all the products



## OpenAPI

````yaml get /consumers/{consumer_id}/commerce/products
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/commerce/products:
    get:
      tags:
        - eCommerce
        - Products and variants
      summary: Get all products
      description: Returns a list of all the products
      operationId: ecommerce_get_products
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: updated_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated After
          description: >-
            Retrieve products updated after a specific datetime (e.g.
            2025-01-31T15:00:00 for 31 of January 2025 at 3PM UTC). UTC is the
            only format that is supported on all connectors.
        - name: sku
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sku
          description: SKU of the product. Supports multiple values separated by comma
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_CommerceProductItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - commerce
            - commerce.read
            - commerce.products_variants
            - commerce.products_variants.read
components:
  schemas:
    ChiftPage_CommerceProductItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CommerceProductItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[CommerceProductItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    CommerceProductItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        description_html:
          anyOf:
            - type: string
            - type: 'null'
          title: Description Html
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/CommerceProductCategoryItem'
              type: array
            - type: 'null'
          title: Categories
          default: []
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        last_updated_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated On
        variants:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProductVariantItem'
              type: array
            - type: 'null'
          title: Variants
          default: []
        status:
          anyOf:
            - $ref: '#/components/schemas/ProductStatus'
            - type: 'null'
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        common_attributes:
          anyOf:
            - items:
                $ref: '#/components/schemas/CommonAttributeItem'
              type: array
            - type: 'null'
          title: Common Attributes
          description: List of attributes that are shared by all variants of the product.
          default: []
        variant_attributes_options:
          anyOf:
            - items:
                $ref: '#/components/schemas/VariantAttributeOptionItem'
              type: array
            - type: 'null'
          title: Variant Attributes Options
          default: []
        common_images:
          anyOf:
            - items:
                $ref: '#/components/schemas/ImageItem'
              type: array
            - type: 'null'
          title: Common Images
          description: List of images that are shared by all variants of the product.
          default: []
      type: object
      required:
        - id
        - source_ref
        - name
      title: CommerceProductItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    CommerceProductCategoryItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id of the category in Chift
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: CommerceProductCategoryItem
    ProductVariantItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        parent_id:
          type: string
          title: Parent Id
          description: Technical id of the parent product in Chift
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        description_html:
          anyOf:
            - type: string
            - type: 'null'
          title: Description Html
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/CommerceProductCategoryItem'
              type: array
            - type: 'null'
          title: Categories
          default: []
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        taxable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Taxable
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Barcode
        available_quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Available Quantity
          default: 0
        prices:
          anyOf:
            - items:
                $ref: '#/components/schemas/CommerceProductPriceItem'
              type: array
            - type: 'null'
          title: Prices
          default: []
        unit_cost:
          anyOf:
            - $ref: '#/components/schemas/ProductCostItem'
            - type: 'null'
        unit_of_measure:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit Of Measure
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
          default: 0
        weight_unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Weight Unit
        status:
          anyOf:
            - $ref: '#/components/schemas/ProductStatus'
            - type: 'null'
        variant_attributes:
          anyOf:
            - items:
                $ref: '#/components/schemas/VariantAttributeItem'
              type: array
            - type: 'null'
          title: Variant Attributes
          description: List of attributes that are specific to the variant of the product.
          default: []
        variant_images:
          anyOf:
            - items:
                $ref: '#/components/schemas/ImageItem'
              type: array
            - type: 'null'
          title: Variant Images
          description: List of images that are specific to the variant of the product.
          default: []
      type: object
      required:
        - id
        - source_ref
        - parent_id
        - name
      title: ProductVariantItem
    ProductStatus:
      type: string
      enum:
        - unknown
        - archived
        - unpublished
        - published
      title: ProductStatus
    CommonAttributeItem:
      properties:
        name:
          type: string
          title: Name
        values:
          items:
            type: string
          type: array
          title: Values
      type: object
      required:
        - name
        - values
      title: CommonAttributeItem
    VariantAttributeOptionItem:
      properties:
        name:
          type: string
          title: Name
        values:
          items:
            type: string
          type: array
          title: Values
      type: object
      required:
        - name
        - values
      title: VariantAttributeOptionItem
    ImageItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id of the image in the target software
        main_image:
          type: boolean
          title: Main Image
        url:
          type: string
          title: Url
      type: object
      required:
        - id
        - main_image
        - url
      title: ImageItem
    CommerceProductPriceItem:
      properties:
        currency:
          type: string
          title: Currency
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
          default: 0
      type: object
      required:
        - currency
      title: CommerceProductPriceItem
    ProductCostItem:
      properties:
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
      type: object
      required:
        - amount
        - currency
      title: ProductCostItem
    VariantAttributeItem:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
      type: object
      required:
        - name
        - value
      title: VariantAttributeItem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````